PCRE_FREE_STUDY(3)

NAME
PCRE - Perl-compatible regular expressions

SYNOPSIS

#include <pcre.h>

void pcre_free_study(pcre_extra *extra);

void pcre16_free_study(pcre16_extra *extra);

void pcre32_free_study(pcre32_extra *extra);

DESCRIPTION

This function is used to free the memory used for the data generated by a call to pcre[16|32]_study() when it is no longer needed. The argument must be the result of such a call.

There is a complete description of the PCRE native API in the pcreapi page and a description of the POSIX API in the pcreposix page.